#ifndef FD_H
#define FD_H

#include <k/types.h>

#define MAX_FD 65535

struct file_entry
{
    u8 open;
    u32 lba;
    u32 file_offset;
    u32 file_size;
    u8 is_dir;
};

extern struct file_entry fd_table[MAX_FD];

int register_fd(u32 lba, u32 file_size, u8 is_dir);
int destroy_fd(int fd);

#endif /* !FD_H */
