#ifndef ISO_H
#define ISO_H

#include <k/types.h>

/* open flags */
#define O_RDONLY    0

/* seek flags */
#define SEEK_SET    0
#define SEEK_CUR    1
#define SEEK_END    2

/* functions */
int open(const char *path, int flags);
s64 read(int fd, void *buf, size_t count);
s64 seek(int fd, u32 offset, int whence);
int close(int fd);

#endif /* !ISO_H */
